import java.awt.*;
import javax.swing.*;

/**
 * HelloGoodbye.java
 * 
 * A simple extension of HelloButton to include a Listener.
 * Based on Pohl and McDowell, 'Java by Dissection' pp 274-275.
 * 
 * Simon Parsons
 * 15th October 2012
 *
 */
public class HelloGoodbye{
	public static void main(String[] args) {
		JFrame frame = new JFrame("HelloButton");
		Container pane = frame.getContentPane();
		JButton hello = new JButton("Hello, world!");
		
		// These are thw two lines not in HelloButton, which
		// add a Listener.
		GoodBye listener = new GoodBye();
		hello.addActionListener(listener);
		
		pane.add(hello);
		frame.pack();
		frame.setVisible(true);
	}
}
